import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Professor emp = null;
    emp = new ContractProfessor();

    emp.setId(1);
    emp.setName("name");
    service.createProfessor(emp);

    System.out.println("Professors: ");
    for (Professor emp1 : service.findAllProfessors()) {
      System.out.print(emp1);
    }

    util.checkData("select * from EMP");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}